Bug 1009092 - No way to unset gpg key from product or repository
No way to unset gpg key from product or repository
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI (Show other bugs)
6.0.2
Unspecified Unspecified
unspecified Severity low (vote)
: Unspecified
: --
Assigned To: Eric Helms
bmorriso
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-17 12:34 EDT by Justin Sherrill
Modified: 2014-04-24 13:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-24 13:09:29 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Blank field in the gpg-key dropdown menu (17.98 KB, image/png)
2013-10-21 13:02 EDT, bmorriso
no flags Details

  None (edit)
Description Justin Sherrill 2013-09-17 12:34:43 EDT
Description of problem:

With the nutupane re-do of products & repositories, there is no way to unset the gpg key from the product or repo, you can only set it to a different gpg key


How reproducible:
always

Steps to Reproduce:
1. Create a product or repo with a gpg key selected
2. Go to product or repo details and try to remove the gpg key

Actual results:
No way to remove the gpg key

Expected results:
some way to remove the gpg key from both products and repos
Comment 2 Eric Helms 2013-09-18 08:51:36 EDT
This is being tracked upstream here - https://github.com/Katello/katello/pull/2987
Comment 3 Eric Helms 2013-09-19 14:14:26 EDT
Fixed in d182c09655ee3199ac1de2eec27ba6dd6df61835

This fix adds a persistent blank option that can be used to unset the GPG key for products and repositories.
Comment 6 bmorriso 2013-10-21 13:02:59 EDT
Created attachment 814713 [details]
Blank field in the gpg-key dropdown menu

The blank option in the gpg key dropdown menu is present and selectable.
Comment 7 Bryan Kearney 2014-04-24 13:09:29 EDT
This was verified and delivered with MDP2. Closing it out.
Comment 8 Bryan Kearney 2014-04-24 13:10:58 EDT
This was delivered and verified with MDP2. Closing the bug.

Note You need to log in before you can comment on or make changes to this bug.